### Hierarchy

- StateParams

### Indexable

[key: string]: any

## Index

### Constructors

- constructor

### Methods

- $inherit

## Constructors

- new StateParams(params?: Obj): StateParams

- #### Parameters

  - ##### params: Default value Obj = {}

  #### Returns StateParams

  - Defined in params/stateParams.ts:11

## Methods

- $inherit(newParams: Obj, $current: StateObject, $to: StateObject): Obj

- Merges a set of parameters with all parameters inherited between the common parents of the current state and a given destination state.

- Merges a set of parameters with all parameters inherited between the common parents of the current state and a given destination state.

  #### Parameters

  - ##### newParams Obj

    :

    The set of parameters which will be composited with inherited params.

  - ##### $current StateObject

    :

    Internal definition of object representing the current state.

  - ##### $to StateObject

    :

    Internal definition of object representing state to transition to.

  #### Returns Obj

  - Defined in params/stateParams.ts:25

Generated using TypeDoc